﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Runtime.InteropServices;
using System.Security;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Exchange.WebServices.Data;

namespace OutlookAppointment
{
    public class EWSHandler
    {
        private EWSHandler()
        { }

        public static EWSHandler Instance = new EWSHandler();

        static bool RedirectionCallback(string url)
        {
            return url.ToLower().StartsWith("https://");
        }

        public void CreateAppointment(string userEmailAddress, string userPlainPassword)
        {
            ExchangeService service = new ExchangeService();
            service.Credentials = new NetworkCredential(userEmailAddress, userPlainPassword.Secure());
            service.AutodiscoverUrl(userEmailAddress, RedirectionCallback);
            var calFolder = CalendarFolder.Bind(service, WellKnownFolderName.Calendar);
            var appointment = new Appointment(service);
            appointment.Start = DateTime.Now.AddHours(1);
            appointment.End = DateTime.Now.AddHours(3);
            appointment.Subject = "TestTermin";
            appointment.Save();
        }

        

    }
    
}
